Skip to content
Account Profile & Status

Open additional account

This interface is used to open an additional primary or sub-account for a specified securities account. By providing the account number account_no, additional account type (M: Primary Account / S: Sub Account), account type (C: Cash Account / M: Margin Account, optional when opening a sub-account), and a custom account name, it initiates an additional account opening application and returns the application ID application_id and account type.

POSThttps://b-api.longbridge.xyz/v1/whaleapi/account/append_account

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

account_nostringrequired

Account Number. Account Number

additional_accountobjectrequired

Additional Account Info. Additional Account Info

Child attributes
additional_typestringrequired

Additional Type. Additional Type

account_typestring

Account Type, Allowed empty when append sub account. Account Type, Allowed empty when append sub account

account_namestring

Custom Account Name. Custom Account Name

Responses

HTTP 200Success
Standard response envelopecodemessagedata
dataobjectdata structure
application_idstringrequired

Account Request ID. Account Request ID

account_typestringrequired

Account Type. Account Type

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs